Bug 153463 - port update: databases/py-psycopg2
Summary: port update: databases/py-psycopg2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-27 05:30 UTC by Khee Chin
Modified: 2011-01-29 14:20 UTC (History)
0 users

See Also:


Attachments
file.diff (974 bytes, patch)
2010-12-27 05:30 UTC, Khee Chin
no flags Details | Diff
py-psycopg2-2.3.2.diff.txt (8.16 KB, text/plain)
2011-01-04 19:37 UTC, R.Mahmatkhanov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Khee Chin 2010-12-27 05:30:08 UTC
Update for databases/py-psycopg2 to 2.3.2

Verified there are no new files from 2.2.2 to 2.3.2 that required to be added into pkg-plist

Fix: Patch attached

Patch attached with submission follows:
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2010-12-27 06:34:45 UTC
Responsible Changed
From-To: freebsd-bugs->miwi

fix category and assign.
Comment 2 R.Mahmatkhanov 2011-01-04 19:37:49 UTC
Hi!

I updated this port in my tree and then decide to check open pr's :)
So here is my patch, it includes some cleanup and contains correct 
pkg-plist (psycopg2 now installs two packages - psycopg2 and 
psycopg2.tests):

- remove DISTNAME - it's already correct
- remove USE_GMAKE - it seems psycopg2 didn't use it when building an 
extension.
- remove do-build and and do-install targets - with it nothing is 
installing into %%PYTHON_SITELIBDIR%%, just docs and examples, and 
actually it doesn't needed to be in Makefile.
- add two new files to EXAMPLES - typecast.py and lobject.py. Sort 
EXAMPLES alphabetically.
- remove MD5 and actualize pkg-plist

Maintainer cc'd.

-- 
Regards,
Ruslan
Comment 3 dfilter service freebsd_committer 2011-01-29 14:15:15 UTC
miwi        2011-01-29 14:14:58 UTC

  FreeBSD ports repository

  Modified files:
    databases/py-psycopg2 Makefile distinfo pkg-plist 
  Log:
  - Update to 2.3.2
  - Cleanup
  
  PR:             153463
  Submitted by:   Khee Chin <kheechin@gmail.com>
                  Ruslan Mahmatkhanov <cvs-src@yandex.ru>
  Feature safe:   yes
  
  Revision  Changes    Path
  1.19      +5 -13     ports/databases/py-psycopg2/Makefile
  1.14      +2 -3      ports/databases/py-psycopg2/distinfo
  1.3       +89 -16    ports/databases/py-psycopg2/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Martin Wilke freebsd_committer 2011-01-29 14:15:16 UTC
State Changed
From-To: open->closed

Committed. Thanks!